/*	Roast+ License
*/
#ifndef __SFJP_OPENMGL_roast_internal_util_H__
#define __SFJP_OPENMGL_roast_internal_util_H__


#define _ROAST_STR_TOFROM_LOOP(c,callback)	\
	char *to_pre = to;						\
	for( ; *from != c; from++, to++ ){		\
		callback;							\
	}										\
											\
	*to = '\0';								\
	return to_pre;


#endif/*__SFJP_OPENMGL_roast_internal_util_H__*/
